Page MenuHomePhabricator

Migrate RefreshLinks job to kafka
Closed, ResolvedPublic

Description

After the htmlCacheUpdate job migration will be completed we can tackle the next one: refreshLinks.

Statistics on the job:

  • Enqueue rate:
    • refreshLinks: 100/s on average with occasional spikes up to 400
    • refreshLinksPrioritized: 10/s

Per-wiki breakdown for refreshLinks:

Command used:

kafkacat -b localhost:9092 -p 0 -t eqiad.mediawiki.job.refreshLinks -c 1000000 -o -1000000 | jq .meta.domain | sort | uniq -c | sort -k 1 -n -r

Results:

1 115322 "en.wiktionary.org"
2 96637 "fr.wiktionary.org"
3 80435 "war.wikipedia.org"
4 73680 "de.wikipedia.org"
5 66491 "commons.wikimedia.org"
6 52059 "it.wikipedia.org"
7 43485 "en.wikipedia.org"
8 41928 "pl.wikipedia.org"
9 41188 "ru.wikipedia.org"
10 39633 "hy.wikipedia.org"
11 38106 "uk.wikipedia.org"
12 32801 "sv.wikipedia.org"
13 31894 "he.wikipedia.org"
14 30779 "id.wikipedia.org"
15 15341 "zh.wikipedia.org"
16 14970 "bg.wikipedia.org"
17 14127 "fr.wikipedia.org"
18 14063 "www.wikidata.org"
19 13107 "ar.wikipedia.org"
20 12614 "tt.wikipedia.org"
21 12409 "eo.wiktionary.org"
22 11529 "sr.wikipedia.org"
23 10859 "eu.wikipedia.org"
24 9401 "sh.wikipedia.org"
25 8147 "no.wikipedia.org"
26 7943 "ceb.wikipedia.org"
27 7386 "azb.wikipedia.org"
28 4989 "es.wikipedia.org"
29 4778 "ro.wikipedia.org"
30 3907 "hu.wikipedia.org"
31 3824 "da.wikipedia.org"
32 3306 "ca.wikipedia.org"
33 3178 "pt.wikivoyage.org"
34 2872 "pt.wikipedia.org"
35 2492 "fa.wikipedia.org"
36 2131 "eo.wikipedia.org"
37 2040 "be.wikipedia.org"
38 1661 "uz.wikipedia.org"
39 1500 "en.wikinews.org"
40 1426 "vi.wikipedia.org"
41 1284 "de.wikivoyage.org"
42 1084 "fi.wikipedia.org"
43 1062 "ky.wikipedia.org"
44 977 "tr.wikipedia.org"
45 806 "nl.wikinews.org"
46 779 "mk.wikipedia.org"
47 701 "ja.wikipedia.org"
48 623 "ru.wikisource.org"
49 612 "ko.wikipedia.org"
50 600 "incubator.wikimedia.org"
51 590 "ba.wikipedia.org"
52 569 "et.wikipedia.org"
53 537 "pl.wikisource.org"
54 535 "th.wikipedia.org"
55 509 "gl.wikipedia.org"
56 479 "lv.wikipedia.org"
57 475 "sl.wikipedia.org"
58 469 "ur.wikipedia.org"
59 467 "en.wikisource.org"
60 440 "fr.wikisource.org"
61 435 "nl.wikipedia.org"
62 411 "az.wikipedia.org"
63 370 "it.wikisource.org"
64 355 "nn.wikipedia.org"
65 342 "el.wikipedia.org"
66 335 "als.wikipedia.org"
67 328 "tg.wikipedia.org"
68 312 "cs.wikipedia.org"
69 307 "be-tarask.wikipedia.org"
70 270 "it.wikiquote.org"
71 267 "ka.wikipedia.org"
72 258 "sk.wikipedia.org"
73 247 "ia.wikipedia.org"
74 240 "en.wikivoyage.org"
75 237 "lb.wikipedia.org"
76 235 "zh-yue.wikipedia.org"
77 234 "ast.wikipedia.org"
78 226 "ml.wikipedia.org"
79 207 "ilo.wikipedia.org"
80 205 "www.mediawiki.org"
81 201 "lt.wikipedia.org"
82 196 "hi.wikipedia.org"
83 178 "sco.wikipedia.org"
84 171 "meta.wikimedia.org"
85 159 "cy.wikipedia.org"
86 157 "ce.wikipedia.org"
87 154 "simple.wikipedia.org"
88 143 "bn.wikipedia.org"
89 130 "ms.wikipedia.org"
90 120 "pl.wiktionary.org"
91 102 "ru.wikinews.org"
92 93 "tl.wikipedia.org"
93 86 "hy.wikiquote.org"
94 84 "oc.wikipedia.org"
95 84 "fa.wikivoyage.org"
96 79 "io.wikipedia.org"
97 75 "hr.wikipedia.org"
98 73 "pt.wikinews.org"
99 73 "kk.wikipedia.org"
100 73 "es.wikinews.org"
101 71 "species.wikimedia.org"
102 70 "la.wikipedia.org"
103 69 "af.wikipedia.org"
104 68 "ru.wikiquote.org"
105 68 "hy.wiktionary.org"
106 66 "is.wikipedia.org"
107 66 "cs.wikiquote.org"
108 62 "uk.wikiquote.org"
109 62 "sq.wikipedia.org"
110 61 "ta.wikipedia.org"
111 61 "bs.wikipedia.org"
112 59 "nv.wikipedia.org"
113 54 "vep.wikipedia.org"
114 54 "av.wikipedia.org"
115 53 "zh-min-nan.wikipedia.org"
116 51 "myv.wikipedia.org"
117 50 "it.wikivoyage.org"
118 45 "fo.wikipedia.org"
119 45 "br.wikipedia.org"
120 44 "ru.wikivoyage.org"
121 44 "an.wikipedia.org"
122 43 "gd.wikipedia.org"
123 43 "ckb.wikipedia.org"
124 41 "pl.wikivoyage.org"
125 41 "fy.wikipedia.org"
126 41 "bar.wikipedia.org"
127 40 "hsb.wikipedia.org"
128 38 "mn.wikipedia.org"
129 35 "sv.wikisource.org"
130 35 "ca.wikiquote.org"
131 33 "pa.wikipedia.org"
132 33 "fr.wikivoyage.org"
133 32 "olo.wikipedia.org"
134 31 "vo.wikipedia.org"
135 31 "pnb.wikipedia.org"
136 31 "nl.wikivoyage.org"
137 31 "mr.wikipedia.org"
138 31 "jv.wikipedia.org"
139 30 "my.wikipedia.org"
140 30 "mrj.wikipedia.org"
141 29 "ku.wikipedia.org"
142 29 "es.wikisource.org"
143 28 "ne.wikipedia.org"
144 27 "en.wikiversity.org"
145 25 "sw.wikipedia.org"
146 25 "cv.wikipedia.org"
147 25 "arz.wikipedia.org"
148 24 "zh.wikivoyage.org"
149 24 "bxr.wikipedia.org"
150 23 "te.wikipedia.org"
151 23 "de.wikisource.org"
152 23 "bh.wikipedia.org"
153 22 "ga.wikipedia.org"
154 20 "sv.wikivoyage.org"
155 20 "so.wikipedia.org"
156 20 "sa.wikipedia.org"
157 20 "diq.wikipedia.org"
158 19 "os.wikipedia.org"
159 19 "mhr.wikipedia.org"
160 19 "ht.wikipedia.org"
161 18 "yo.wikipedia.org"
162 18 "or.wikipedia.org"
163 18 "nds.wikipedia.org"
164 18 "mg.wikipedia.org"
165 18 "lmo.wikipedia.org"
166 18 "fr.wikinews.org"
167 17 "xmf.wikipedia.org"
168 17 "su.wikipedia.org"
169 17 "sd.wikipedia.org"
170 17 "pl.wikiquote.org"
171 17 "gu.wikipedia.org"
172 17 "en.wikiquote.org"
173 16 "it.wikiversity.org"
174 16 "crh.wikipedia.org"
175 15 "min.wikipedia.org"
176 15 "hak.wikipedia.org"
177 15 "as.wikipedia.org"
178 14 "vi.wikivoyage.org"
179 14 "qu.wikipedia.org"
180 14 "fi.wikivoyage.org"
181 13 "yi.wikipedia.org"
182 13 "udm.wikipedia.org"
183 13 "ps.wikipedia.org"
184 13 "mai.wikipedia.org"
185 12 "si.wikipedia.org"
186 12 "new.wikipedia.org"
187 12 "krc.wikipedia.org"
188 12 "kn.wikipedia.org"
189 12 "km.wikipedia.org"
190 12 "cs.wikisource.org"
191 12 "cdo.wikipedia.org"
192 12 "ca.wikinews.org"
193 11 "tyv.wikipedia.org"
194 11 "mzn.wikipedia.org"
195 11 "fr.wikiquote.org"
196 11 "en.wikibooks.org"
197 10 "szl.wikipedia.org"
198 10 "sah.wikipedia.org"
199 10 "mwl.wikipedia.org"
200 10 "la.wikisource.org"
201 10 "gl.wikiquote.org"
202 10 "dv.wikipedia.org"
203 9 "vec.wikipedia.org"
204 9 "roa-tara.wikipedia.org"
205 9 "pms.wikipedia.org"
206 9 "lez.wikipedia.org"
207 9 "lad.wikipedia.org"
208 9 "kbd.wikipedia.org"
209 9 "dsb.wikipedia.org"
210 9 "az.wikisource.org"
211 9 "am.wikipedia.org"
212 8 "wuu.wikipedia.org"
213 8 "vls.wikipedia.org"
214 8 "ug.wikipedia.org"
215 8 "sk.wikiquote.org"
216 8 "pam.wikipedia.org"
217 8 "li.wikipedia.org"
218 8 "kv.wikipedia.org"
219 8 "gv.wikipedia.org"
220 8 "gn.wikipedia.org"
221 8 "es.wikivoyage.org"
222 8 "bat-smg.wikipedia.org"
223 8 "az.wikibooks.org"
224 8 "ace.wikipedia.org"
225 7 "zh.wikisource.org"
226 7 "uk.wikisource.org"
227 7 "pt.wikisource.org"
228 7 "pt.wikiquote.org"
229 7 "nds-nl.wikipedia.org"
230 7 "lbe.wikipedia.org"
231 7 "fr.wikibooks.org"
232 7 "fi.wikibooks.org"
233 7 "fa.wikiquote.org"
234 7 "es.wikiquote.org"
235 7 "eo.wikiquote.org"
236 7 "ay.wikipedia.org"
237 7 "ab.wikipedia.org"
238 6 "wa.wikipedia.org"
239 6 "sn.wikipedia.org"
240 6 "scn.wikipedia.org"
241 6 "oc.wiktionary.org"
242 6 "mg.wiktionary.org"
243 6 "mdf.wikipedia.org"
244 6 "ksh.wikipedia.org"
245 6 "gan.wikipedia.org"
246 6 "fi.wikinews.org"
247 6 "eml.wikipedia.org"
248 6 "de.wikiquote.org"
249 6 "ca.wikisource.org"
250 6 "bjn.wikipedia.org"
251 6 "bcl.wikipedia.org"
252 6 "ar.wikiquote.org"
253 6 "arc.wikipedia.org"
254 5 "zh-classical.wikipedia.org"
255 5 "xh.wikipedia.org"
256 5 "tcy.wikipedia.org"
257 5 "stq.wikipedia.org"
258 5 "se.wikipedia.org"
259 5 "sc.wikipedia.org"
260 5 "rue.wikipedia.org"
261 5 "pt.wikiversity.org"
262 5 "mt.wikipedia.org"
263 5 "ln.wikipedia.org"
264 5 "he.wikivoyage.org"
265 5 "he.wikisource.org"
266 5 "he.wikiquote.org"
267 5 "gl.wikisource.org"
268 5 "frr.wikipedia.org"
269 5 "fiu-vro.wikipedia.org"
270 5 "el.wikiquote.org"
271 4 "zh.wikinews.org"
272 4 "za.wikipedia.org"
273 4 "xal.wikipedia.org"
274 4 "uk.wikivoyage.org"
275 4 "te.wikisource.org"
276 4 "sl.wikisource.org"
277 4 "ru.wikibooks.org"
278 4 "roa-rup.wikipedia.org"
279 4 "pih.wikipedia.org"
280 4 "pfl.wikipedia.org"
281 4 "pag.wikipedia.org"
282 4 "nah.wikipedia.org"
283 4 "map-bms.wikipedia.org"
284 4 "lt.wikiquote.org"
285 4 "lrc.wikipedia.org"
286 4 "lo.wikipedia.org"
287 4 "jbo.wikipedia.org"
288 4 "it.wikibooks.org"
289 4 "ik.wikipedia.org"
290 4 "ie.wikipedia.org"
291 4 "hu.wikisource.org"
292 4 "frp.wikipedia.org"
293 4 "el.wikivoyage.org"
294 4 "atj.wikipedia.org"
295 4 "ar.wikisource.org"
296 3 "uk.wikibooks.org"
297 3 "tr.wiktionary.org"
298 3 "tpi.wikipedia.org"
299 3 "tk.wikipedia.org"
300 3 "ro.wikivoyage.org"
301 3 "rm.wikipedia.org"
302 3 "pl.wikibooks.org"
303 3 "pdc.wikipedia.org"
304 3 "nrm.wikipedia.org"
305 3 "lij.wikipedia.org"
306 3 "koi.wikipedia.org"
307 3 "kg.wikipedia.org"
308 3 "ja.wikisource.org"
309 3 "ig.wikipedia.org"
310 3 "hi.wikivoyage.org"
311 3 "hif.wikipedia.org"
312 3 "ha.wikipedia.org"
313 3 "gom.wikipedia.org"
314 3 "gag.wikipedia.org"
315 3 "el.wikisource.org"
316 3 "dty.wikipedia.org"
317 3 "de.wikibooks.org"
318 3 "chy.wikipedia.org"
319 3 "bs.wikiquote.org"
320 3 "bo.wikipedia.org"
321 3 "bn.wikibooks.org"
322 3 "az.wikiquote.org"
323 3 "ang.wikipedia.org"
324 3 "af.wiktionary.org"
325 2 "zu.wikipedia.org"
326 2 "zh.wikibooks.org"
327 2 "vi.wikibooks.org"
328 2 "uk.wikinews.org"
329 2 "tr.wikisource.org"
330 2 "tr.wikiquote.org"
331 2 "tn.wikipedia.org"
332 2 "sv.wiktionary.org"
333 2 "sl.wikiquote.org"
334 2 "ro.wikinews.org"
335 2 "pnt.wikipedia.org"
336 2 "pap.wikipedia.org"
337 2 "nso.wikipedia.org"
338 2 "no.wikinews.org"
339 2 "nn.wikiquote.org"
340 2 "nl.wikibooks.org"
341 2 "la.wikiquote.org"
342 2 "kw.wikipedia.org"
343 2 "ko.wikisource.org"
344 2 "kab.wikipedia.org"
345 2 "kaa.wikipedia.org"
346 2 "hu.wikibooks.org"
347 2 "glk.wikipedia.org"
348 2 "fa.wikisource.org"
349 2 "fa.wikinews.org"
350 2 "eo.wikinews.org"
351 2 "eo.wikibooks.org"
352 2 "el.wiktionary.org"
353 2 "el.wikibooks.org"
354 2 "de.wikinews.org"
355 2 "da.wikisource.org"
356 2 "cs.wiktionary.org"
357 2 "bpy.wikipedia.org"
358 2 "bn.wikisource.org"
359 2 "be.wikisource.org"
360 1 "zh.wikiquote.org"
361 1 "wo.wikipedia.org"
362 1 "ve.wikipedia.org"
363 1 "ur.wikiquote.org"
364 1 "ty.wikipedia.org"
365 1 "th.wikibooks.org"
366 1 "tg.wikibooks.org"
367 1 "te.wikiquote.org"
368 1 "ta.wikinews.org"
369 1 "ta.wikibooks.org"
370 1 "sr.wikinews.org"
371 1 "srn.wikipedia.org"
372 1 "sl.wikibooks.org"
373 1 "rw.wikipedia.org"
374 1 "rmy.wikipedia.org"
375 1 "pt.wikibooks.org"
376 1 "pcd.wikipedia.org"
377 1 "om.wikipedia.org"
378 1 "ny.wikipedia.org"
379 1 "no.wikiquote.org"
380 1 "no.wikibooks.org"
381 1 "nov.wikipedia.org"
382 1 "nl.wikisource.org"
383 1 "nl.wikiquote.org"
384 1 "na.wikipedia.org"
385 1 "nap.wikipedia.org"
386 1 "ml.wikisource.org"
387 1 "ks.wikipedia.org"
388 1 "ko.wikinews.org"
389 1 "ko.wikibooks.org"
390 1 "kbp.wikipedia.org"
391 1 "ja.wikiversity.org"
392 1 "ja.wikiquote.org"
393 1 "jam.wikipedia.org"
394 1 "iu.wikipedia.org"
395 1 "it.wikinews.org"
396 1 "hu.wikiquote.org"
397 1 "hr.wikiquote.org"
398 1 "he.wikinews.org"
399 1 "he.wikibooks.org"
400 1 "got.wikipedia.org"
401 1 "fr.wikiversity.org"
402 1 "fi.wikiquote.org"
403 1 "fa.wikibooks.org"
404 1 "ext.wikipedia.org"
405 1 "es.wikibooks.org"
406 1 "el.wikiversity.org"
407 1 "el.wikinews.org"
408 1 "ee.wikipedia.org"
409 1 "co.wikipedia.org"
410 1 "ch.wikipedia.org"
411 1 "chr.wikipedia.org"
412 1 "bug.wikipedia.org"
413 1 "bm.wikipedia.org"
414 1 "bi.wikipedia.org"
415 1 "bg.wikiquote.org"
416 1 "be.wikiquote.org"
417 1 "ar.wikiversity.org"
418 1 "ar.wikinews.org"
419 1 "ady.wikipedia.org"

I propose to use a similar 4-stage approach as we've used for htmlCacheUpdate, but reshuffle the groups.

  • Group 0: One very low-volume project just to verify correctness
  • Group 1: All projects except Wikipedia and Wiktionary - their contribution to the load is negligible
  • Group 2: Everything except 7 top projects from the list above - that will split the load 50/50 between the old and new queue
  • Group 3: Switch everything.

Event Timeline

Pchelolo triaged this task as Normal priority.Jan 16 2018, 11:42 PM
Pchelolo created this task.
Restricted Application added a project: Analytics. · View Herald TranscriptJan 16 2018, 11:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
fdans moved this task from Incoming to Radar on the Analytics board.Jan 18 2018, 5:42 PM

I have rerun the script for 5 million events and the results are fairly similar to what was observed, so the plan is valid.

Change 408569 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Disable Redis JobQueue for refreshLinks.

https://gerrit.wikimedia.org/r/408569

Change 408571 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] [Config] Enable refreshLinks for test, test2, mediawiki and ru wikivoyage

https://gerrit.wikimedia.org/r/408571

Change 408571 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] [Config] Enable refreshLinks for test, test2, mediawiki and ru wikivoyage

https://gerrit.wikimedia.org/r/408571

Change 408569 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable Redis JobQueue for refreshLinks.

https://gerrit.wikimedia.org/r/408569

Mentioned in SAL (#wikimedia-operations) [2018-02-22T16:23:06Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@ab3d002]: Enable refreshLinks for group0 wikis T185052

Mentioned in SAL (#wikimedia-operations) [2018-02-22T16:23:42Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@ab3d002]: Enable refreshLinks for group0 wikis T185052 (duration: 00m 36s)

Mentioned in SAL (#wikimedia-operations) [2018-02-22T16:25:34Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Use EventBus for refreshLinks in test wikis, file 1/2 - T185052 (duration: 01m 12s)

Mentioned in SAL (#wikimedia-operations) [2018-02-22T16:26:54Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Use EventBus for refreshLinks in test wikis, file 2/2 - T185052 (duration: 01m 12s)

Change 414760 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] [JoqbQueue] Switch refreshLinks for all but wikipedia and wiktionary.

https://gerrit.wikimedia.org/r/414760

Change 414766 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable refreshLinks for all but wikipedia and wiktionary

https://gerrit.wikimedia.org/r/414766

Change 414766 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable refreshLinks for all but wikipedia and wiktionary

https://gerrit.wikimedia.org/r/414766

Change 414760 merged by jenkins-bot:
[operations/mediawiki-config@master] [JobQueue] Switch refreshLinks for all but wikipedia and wiktionary.

https://gerrit.wikimedia.org/r/414760

Change 415875 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka job queue for 50% of refreshLinks

https://gerrit.wikimedia.org/r/415875

Change 415877 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Switch 50% for refreshLinks to kafka job queue

https://gerrit.wikimedia.org/r/415877

Change 415875 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka job queue for 50% of refreshLinks

https://gerrit.wikimedia.org/r/415875

Change 415877 merged by Mobrovac:
[operations/mediawiki-config@master] Switch 50% for refreshLinks to kafka job queue

https://gerrit.wikimedia.org/r/415877

Mentioned in SAL (#wikimedia-operations) [2018-03-05T15:38:54Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Switch 50% for refreshLinks to EventBus - T185052 (duration: 00m 57s)

Change 416476 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Swith all refreshLinks jobs to Kafka.

https://gerrit.wikimedia.org/r/416476

Change 416478 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Switch all refershLinks to kafka.

https://gerrit.wikimedia.org/r/416478

Change 416481 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/puppet@production] Remove special jobrunners for refreshLinks.

https://gerrit.wikimedia.org/r/416481

Change 416488 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Switch dynamic and prioritized refreshLinks jobs to kafka

https://gerrit.wikimedia.org/r/416488

Change 416490 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Switch dynamic and prioritized refreshLinks to kafka.

https://gerrit.wikimedia.org/r/416490

Change 416490 abandoned by Ppchelko:
Switch dynamic and prioritized refreshLinks to kafka.

https://gerrit.wikimedia.org/r/416490

Change 416672 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Increase the concurrency of refreshLinks to 100

https://gerrit.wikimedia.org/r/416672

Change 416672 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Increase the concurrency of refreshLinks to 100

https://gerrit.wikimedia.org/r/416672

Mentioned in SAL (#wikimedia-operations) [2018-03-06T12:50:46Z] <mobrovac@tin> Started deploy [cpjobqueue/deploy@9b0b947]: refreshLinks: Increase concurrency to 100 - T185052

Mentioned in SAL (#wikimedia-operations) [2018-03-06T12:51:20Z] <mobrovac@tin> Finished deploy [cpjobqueue/deploy@9b0b947]: refreshLinks: Increase concurrency to 100 - T185052 (duration: 00m 34s)

Change 416478 abandoned by Ppchelko:
Switch all refershLinks to kafka.

Reason:
In favor of Idd907c680eef8619740792869f967325827bd8e1

https://gerrit.wikimedia.org/r/416478

Mentioned in SAL (#wikimedia-operations) [2018-03-06T15:19:20Z] <mobrovac@tin> Synchronized php-1.31.0-wmf.23/includes/jobqueue/JobQueueSecondTestQueue.php: [JobQueueSecondTestQueue] Support read-only mode - T185052 (duration: 00m 58s)

Change 416488 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Switch all refreshLinks jobs to kafka

https://gerrit.wikimedia.org/r/416488

Change 416476 merged by jenkins-bot:
[operations/mediawiki-config@master] Swith all refreshLinks jobs to Kafka.

https://gerrit.wikimedia.org/r/416476

Mentioned in SAL (#wikimedia-operations) [2018-03-07T13:19:30Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@d84286a]: Switch all refreshLinks jobs to kafka T185052

Mentioned in SAL (#wikimedia-operations) [2018-03-07T13:20:19Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@d84286a]: Switch all refreshLinks jobs to kafka T185052 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2018-03-07T13:21:03Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Switch all refreshLinks jobs to EventBus - T185052 (duration: 01m 15s)

Mentioned in SAL (#wikimedia-operations) [2018-03-07T13:22:52Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Switch all refreshLinks jobs to EventBus, file #2 - T185052 (duration: 01m 15s)

Change 416942 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Stop reading refreshLinks jobs from the Redis queue.

https://gerrit.wikimedia.org/r/416942

Change 416946 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Bump refreshLinks concurrency to 150 to clear up backlog.

https://gerrit.wikimedia.org/r/416946

Change 416946 merged by Ppchelko:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Bump refreshLinks concurrency to 150 to clear up backlog.

https://gerrit.wikimedia.org/r/416946

Mentioned in SAL (#wikimedia-operations) [2018-03-07T14:41:30Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@aee2eb1]: Increase refreshLinks concurrency to 150 T185052

Mentioned in SAL (#wikimedia-operations) [2018-03-07T14:42:06Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@aee2eb1]: Increase refreshLinks concurrency to 150 T185052 (duration: 00m 36s)

Change 416982 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Increase refreshLinks concurrency to 250.

https://gerrit.wikimedia.org/r/416982

Change 416982 merged by Ppchelko:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Increase refreshLinks concurrency to 250.

https://gerrit.wikimedia.org/r/416982

Mentioned in SAL (#wikimedia-operations) [2018-03-07T16:46:18Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@ff41710]: Increase refreshLinks concurrency to 250 T185052

Mentioned in SAL (#wikimedia-operations) [2018-03-07T16:46:51Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@ff41710]: Increase refreshLinks concurrency to 250 T185052 (duration: 00m 33s)

Change 417270 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/jobqueue-deploy@master] refreshLinks: Lower the concurrency to 175

https://gerrit.wikimedia.org/r/417270

Change 417270 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] refreshLinks: Lower the concurrency to 175

https://gerrit.wikimedia.org/r/417270

Mentioned in SAL (#wikimedia-operations) [2018-03-08T14:27:54Z] <mobrovac@tin> Started deploy [cpjobqueue/deploy@4fa1cf0]: Lower the refreshLinks concurrency to 175 - T185052

Mentioned in SAL (#wikimedia-operations) [2018-03-08T14:28:26Z] <mobrovac@tin> Finished deploy [cpjobqueue/deploy@4fa1cf0]: Lower the refreshLinks concurrency to 175 - T185052 (duration: 00m 33s)

mobrovac closed this task as Resolved.Mar 21 2018, 6:39 PM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).

The RefreshLinks jobs have been fully migrated to the EventBus system. Resolving.

Change 416942 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop reading refreshLinks jobs from the Redis queue.

https://gerrit.wikimedia.org/r/416942

Mentioned in SAL (#wikimedia-operations) [2018-03-29T14:54:55Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Cleanup: Use only EventBus for refreshLinks - T185052 (duration: 01m 18s)

Change 416481 abandoned by Ppchelko:
Remove special jobrunners for refreshLinks and htmlCacheUpdate.

Reason:
Superseded

https://gerrit.wikimedia.org/r/416481